## org.codehaus.groovy.ast.stmt
Class BreakStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.BreakStatement

    public class BreakStatement

extends Statement

Represents a break statement in a switch or loop statement

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`BreakStatement()`
`BreakStatement(String label)`

Method Summary
`String` `getLabel()`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BreakStatement

    public BreakStatement()

### BreakStatement

    public BreakStatement(String label)

Method Detail

### getLabel

    public String getLabel()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

Copyright © 2003-2008 The Codehaus. All rights reserved.